package com.srs.comprehensive.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;

/**
 * 返回类型：学年表，综合素质表，学生表
 */
public class SrsStuYearS {
    private int id;
    private String stuYearName;
    private String name;
    private String stuNo;
    private BigDecimal avgScore;

    public SrsStuYearS(int id, String name, String stuYearName, String stuNo, BigDecimal avgScore) {
        this.id = id;
        this.name = name;
        this.stuYearName = stuYearName;
        this.stuNo = stuNo;
        this.avgScore = avgScore;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getStuYearName() {
        return stuYearName;
    }

    public void setStuYearName(String stuYearName) {
        this.stuYearName = stuYearName;
    }

    public BigDecimal getAvgScore() {
        return avgScore;
    }

    public void setAvgScore(BigDecimal avgScore) {
        this.avgScore = avgScore;
    }

    public String getStuNo() {
        return stuNo;
    }

    public void setStuNo(String stuNo) {
        this.stuNo = stuNo;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("name", getName())
                .append("stuYearName", getStuYearName())
                .append("avgScore", getAvgScore())
                .append("id", getId())
                .append("stuNo", getStuNo())
                .toString();
    }
}
